# Batteries_struct Struct Reference

`#include <structs.h>`

## Detailed Description

Holds status and various data for a battery.

These data are updated by BatteryStatusRefresh(), RIDLookUp(), NTCLookUp() and BatteryDataRefresh().

Definition at line 42 of file structs.h.

## Data Fields
unsigned char | ADCSteps
| ADC steps per half degree.
unsigned int | Capacity
| Capacity, in mAh.
unsigned char | Charged: 1
| Battery fully charged. (TRUE/FALSE).
unsigned char | Circuit
| Battery safety circuit (family id).
unsigned char | Exhausted: 1
| Battery exhausted. (TRUE/FALSE).
unsigned char | HasRID: 1
| Battery has resistor ID. (TRUE/FALSE).
unsigned char | Low: 1
| Battery low voltage. (TRUE/FALSE).
unsigned int | MaxCurrent
| Charge current, in mA.
unsigned int | MaxTime
| Charge cut-off time, in minutes.
unsigned int | MinCurrent
| Cut-off current, in mA.
unsigned char | Present: 1
| Battery found. (TRUE/FALSE).
signed char | Temperature
| Battery temperature, in centigrade.

## Field Documentation

unsigned char Batteries_struct::ADCSteps

ADC steps per half degree.

Definition at line 51 of file structs.h.

Referenced by HaltNow(), and NTCLookUp().

unsigned int Batteries_struct::Capacity

Capacity, in mAh.

Definition at line 52 of file structs.h.

Referenced by BatteryCheck(), BatteryStatusRefresh(), and RIDLookUp().

unsigned char Batteries_struct::Charged

Battery fully charged. (TRUE/FALSE).

Definition at line 45 of file structs.h.

Referenced by BatteryControl(), BatteryStatusRefresh(), Charge(), and Sleep().

unsigned char Batteries_struct::Circuit

Battery safety circuit (family id).

Definition at line 49 of file structs.h.

Referenced by BatteryDataRefresh(), and BatteryStatusRefresh().

unsigned char Batteries_struct::Exhausted

Battery exhausted. (TRUE/FALSE).

Definition at line 47 of file structs.h.

Referenced by Error(), and HaltNow().

unsigned char Batteries_struct::HasRID

Battery has resistor ID. (TRUE/FALSE).

Definition at line 48 of file structs.h.

Referenced by BatteryStatusRefresh().

unsigned char Batteries_struct::Low

Battery low voltage. (TRUE/FALSE).

Definition at line 46 of file structs.h.

Referenced by BatteryStatusRefresh().

unsigned int Batteries_struct::MaxCurrent

Charge current, in mA.

Definition at line 53 of file structs.h.

Referenced by BatteryStatusRefresh(), Charge(), MaxVoltageAndCurrent(), and RIDLookUp().

unsigned int Batteries_struct::MaxTime

Charge cut-off time, in minutes.

Definition at line 54 of file structs.h.

Referenced by BatteryStatusRefresh(), Charge(), and RIDLookUp().

unsigned int Batteries_struct::MinCurrent

Cut-off current, in mA.

Definition at line 55 of file structs.h.

Referenced by BatteryStatusRefresh(), Charge(), and RIDLookUp().

unsigned char Batteries_struct::Present

Battery found. (TRUE/FALSE).

Definition at line 44 of file structs.h.

Referenced by BatteryStatusRefresh().

signed char Batteries_struct::Temperature

Battery temperature, in centigrade.

Definition at line 50 of file structs.h.

Referenced by BatteryStatusRefresh(), HaltNow(), MaxVoltageAndCurrent(), and NTCLookUp().